# Get user support config Endpoint: GET /v2/support-config Version: v2 Security: Bearer ## Response 200 fields (application/json): - `length` (integer) - `elements` (array) Support Configurations List. - `elements.contactNumbers` (array) List of support phone numbers. - `elements.contactNumbers.countryCode` (integer) two digit country code Example: 91 - `elements.contactNumbers.countryCodeSource` (string) Enum: "UNSPECIFIED", "FROM_NUMBER_WITH_PLUS_SIGN", "FROM_NUMBER_WITH_IDD", "FROM_NUMBER_WITHOUT_PLUS_SIGN", "FROM_DEFAULT_COUNTRY" - `elements.contactNumbers.extension` (string) phone number extension Example: "222" - `elements.contactNumbers.isoCountryCode` (string) ISO alpha-2 code Example: "IN" - `elements.contactNumbers.italianLeadingZero` (boolean) Example: true - `elements.contactNumbers.nationalNumber` (integer) Example: 8150 - `elements.contactNumbers.numberOfLeadingZeros` (integer) Example: 1 - `elements.contactNumbers.preferredDomesticCarrierCode` (string) Example: "7" - `elements.contactNumbers.rawInput` (string) Example: "77777" - `elements.contactNumbers.type` (string) Enum: "UNKNOWN_TYPE", "MOBILE", "LANDLINE" - `elements.emailAddresses` (array) List of the support email addresses. Example: ["support@spotnana.com"] - `elements.freshdeskConfig` (object) Configuration for freshdesk. - `elements.freshdeskConfig.enabled` (boolean, required) Whether freshdesk is enabled or not. Example: true - `elements.freshdeskConfig.hasCredentials` (boolean, required) Whether the company has its own freshdesk credentials. - `elements.freshdeskConfig.credentials` (object) Credentials for the fresh desk. This field has no impact in create/update APIs. The process to store / update the credentials are manual. - `elements.freshdeskConfig.credentials.webCredentials` (object) Credentials related to freshdesk. - `elements.freshdeskConfig.credentials.webCredentials.domain` (string, required) Domain related to fresh desk. - `elements.freshdeskConfig.credentials.webCredentials.appId` (string, required) An identifier for fresh desk's app. - `elements.freshdeskConfig.credentials.webCredentials.appKey` (string, required) A secret key assigned to user's app by fresh desk. - `elements.freshdeskConfig.credentials.mobileCredentials` (object) Credentials related to freshdesk. - `elements.tier` (string) Tier of User. Note: In default UI, BASIC is displayed as Standard, and SEAT1A is displayed as VIP. Display names for other tiers are driven by the company tier configuration. Enum: "BASIC", "SEAT1A", "TIER_2", "TIER_3", "TIER_4", "TIER_5", "TIER_6", "TIER_7", "TIER_8", "TIER_9", "TIER_10", "TIER_11", "TIER_12", "TIER_13", "TIER_14", "TIER_15", "TIER_16", "TIER_17", "TIER_18", "TIER_19", "TIER_20", "TIER_21", "TIER_22", "TIER_23", "TIER_24", "TIER_25", "TIER_26", "TIER_27", "TIER_28", "TIER_29", "TIER_30", "TIER_31" - `elements.genesysConfig` (object) Configuration for genesys. - `elements.genesysConfig.enabled` (boolean, required) Whether genesys is enabled or not. Example: true - `elements.genesysConfig.dataUrl` (string, required) Data url for genesys. - `elements.portalUrls` (array) List of the support portal urls. Example: ["www.support.spotnana.com"] - `elements.zendeskConfig` (object) Configuration for zendesk. - `elements.zendeskConfig.enabled` (boolean, required) Whether Zendesk Chat is enabled or not. Example: true - `elements.zendeskConfig.integrationId` (string, required) Integration ID for Zendesk Chat for Web. Example: "1234567890" - `elements.zendeskConfig.androidIntegrationId` (string) Integration ID for Zendesk Chat for Android. Example: "1234567890" - `elements.zendeskConfig.iosIntegrationId` (string) Integration ID for Zendesk Chat for iOS. Example: "1234567890" - `elements.genesysCloudConfig` (object) Configuration for Genesys cloud. - `elements.genesysCloudConfig.enabled` (boolean, required) Whether Genesys Cloud is enabled or not. Example: true - `elements.genesysCloudConfig.deploymentId` (string, required) DeploymentId for Genesys Cloud. Example: "52dc2a6f-772a-4edf-96d3-b3f0c49400a7" - `elements.genesysCloudConfig.environment` (string, required) Environment for Genesys Cloud. Example: "usa-1" - `elements.genesysCloudConfig.genesysScriptUrl` (string, required) Url for Genesys Cloud Script. Example: "https://test.test.com" - `elements.genesysCloudConfig.clientId` (string) Client ID for Genesys Cloud. Example: "1ab2cd3efghijklmnop4qr5s6t" - `elements.twilioChatConfig` (object) Configuration for Twilio Chat. - `elements.twilioChatConfig.enabled` (boolean, required) Whether Twilio Chat is enabled or not. - `elements.cognigyChatConfig` (object) Cognigy Chat Config. - `elements.cognigyChatConfig.enabled` (boolean) Whether Cognigy chat is enabled or not. - `elements.cognigyChatConfig.scriptUrl` (string) Url for Cognigy Script. Example: "https://your-cognigy-instance.com/script/abcdef123456" - `elements.cognigyChatConfig.initWebchatEndpoint` (string) Endpoint for Cognigy initWebchat method. Example: "https://your-cognigy-instance.com/initWebchat" - `elements.cognigyChatConfig.sessionTimeout` (integer) Session timeout (in minutes) for Cognigy Chat. Example: 30 - `elements.cognigyChatConfig.cssUrl` (string) Url for Cognigy Chat CSS. Example: "https://your-server.com/css/chat.css" ## Response 401 fields (application/json): - `debugIdentifier` (string) Link to debug the error internally. - `errorMessages` (array) - `errorMessages.errorCode` (string) Error code to identify the specific errors. - `errorMessages.message` (string) Message containing details of error. - `errorMessages.errorParameters` (array) Error message parameters. - `errorMessages.errorParameters.name` (string) Parameter name - `errorMessages.errorParameters.value` (string) Parameter value - `errorMessages.errorDetail` (string) More details about the error. ## Response 403 fields (application/json): - `debugIdentifier` (string) Link to debug the error internally. - `errorMessages` (array) - `errorMessages.errorCode` (string) Error code to identify the specific errors. - `errorMessages.message` (string) Message containing details of error. - `errorMessages.errorParameters` (array) Error message parameters. - `errorMessages.errorParameters.name` (string) Parameter name - `errorMessages.errorParameters.value` (string) Parameter value - `errorMessages.errorDetail` (string) More details about the error. ## Response 404 fields (application/json): - `debugIdentifier` (string) Link to debug the error internally. - `errorMessages` (array) - `errorMessages.errorCode` (string) Error code to identify the specific errors. - `errorMessages.message` (string) Message containing details of error. - `errorMessages.errorParameters` (array) Error message parameters. - `errorMessages.errorParameters.name` (string) Parameter name - `errorMessages.errorParameters.value` (string) Parameter value - `errorMessages.errorDetail` (string) More details about the error.